# Repository path:    $HeadURL: https://90.145.156.222/DMS-Houtribdijk/code/python-ftp-svn/source/ftpMetaData.py $
# Last committed:     $Revision: 173566 $; $Author: svcdms $; $Date: 2019-06-21 13:49:36 +0200 (vr, 21 jun 2019) $
#
from dmsDb.DmsDb import DmsDb
from dmsLogger.DmsLogger import DmsLogger
from svn import local, exception
from ftpImport.DmsFtp import DmsFtp
from misc.Utils import Utils


def commit_metadata_file(folder, fn):
    lc = local.LocalClient(folder)
    lc.cleanup()
    lc.update()
    try:
        lc.add(fn)
    except exception.SvnException:
        pass
    lc.commit("commit from automatic process")

def main():
    folder_settings = Utils.read_folder_settings()
    logger = DmsLogger.set_logger(folder_settings["log_folder"], r"dms-ftp-meatdata.out", "ftp-log-metadata")
    db = DmsDb(logger)
    ftp_dms = DmsFtp(logger, db)

    remote_folder = 'METAINFO'
    local_folder = 'D:/dmsdata/logboek/'
    file = 'Houtribdijk_OenM_Metadata-Meetpalen.xlsx'
    file_path = local_folder + file

    if ftp_dms.do_bin_ftp(remote_folder, file, file_path):
        logger.info("successful update metadata file({}, {}, {})".format(remote_folder, file, file_path))
        commit_metadata_file(local_folder, file_path)
    else:
        logger.error("problem updating metadata file({}, {}, {})".format(remote_folder, file, file_path))

if __name__ == "__main__":
    main()